Description

Sometimes, when I try to download a file through uri-resolver by a old smp uri format, the file is not correctly downloaded.

I see the following exception in the uri-resolver log:

[INFO ] 2016-11-04 09:33:29,303 org.gcube.datatransfer.resolver.http.HttpResolver - URI = smp://Sh

are/89971b8f-a993-4e7b-9a95-8d774cb68a99/Work Packages/WP 6 - Virtual Research Environments Deploy

ment and O

peration/T6.2 Resources and Tools/COMET-Species-Matching-Engine/YASMEEN/1.2.0/Data/BiOnymTAF/FISHB

ASE_taxa.taf.gz?5ezvFfBOLqb3YESyI/kesN4T+ZD0mtmc/4sZ0vGMrl0lgx7k85j8o2Q1vF0ezJi/xIGDhncO9jOkV1T8u6

Db7GZ/4ePg

Mws8Jxu8ierJajHBd20bUotElN0kyA+s3HQuMVYbva9MKgw1wahC7aUCyaItSZIQuKPu4pSjoDP8iox/XO2bqsokgB5v1H/QUQ

gN

[ERROR] 2016-11-04 09:33:29,303 org.gcube.datatransfer.resolver.http.HttpResolver - URLConnection 

Exception:

java.lang.IllegalStateException: current scope is undefined

        at org.gcube.common.scope.impl.ScopedServiceMap.currentMap(ScopedServiceMap.java:53)

        at org.gcube.common.scope.impl.ScopedServiceMap.endpoint(ScopedServiceMap.java:44)

        at org.gcube.resources.discovery.icclient.ICClient.getStub(ICClient.java:74)

        at org.gcube.resources.discovery.icclient.ICClient.submit(ICClient.java:39)

        at org.gcube.resources.discovery.client.impl.DelegateClient.submit(DelegateClient.java:50)

        at org.gcube.contentmanager.storageclient.protocol.utils.Utils.queryServiceEndpoint(Utils.

java:136)

        at org.gcube.contentmanager.storageclient.model.protocol.smp.SMPURLConnectionFactory.isNew

SmpFormat(SMPURLConnectionFactory.java:75)

        at org.gcube.contentmanager.storageclient.model.protocol.smp.SMPURLConnectionFactory.getSm

p(SMPURLConnectionFactory.java:30)

        at org.gcube.contentmanager.storageclient.model.protocol.smp.SMPURLConnection.<init>(SMPUR

LConnection.java:33)

        at org.gcube.datatransfer.resolver.http.HttpResolver$1.openConnection(HttpResolver.java:14

6)

        at java.net.URL.openConnection(URL.java:975)

        at org.gcube.datatransfer.resolver.http.HttpResolver.doGet(HttpResolver.java:153)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:620)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:727)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain

.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:20

8)

        at org.gcube.datatransfer.resolver.UriResolverRewriteFilter.doFilter(UriResolverRewriteFil

ter.java:94)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain

.java:241)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:20

8)

        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

        at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

        at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1

041)

        at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.j

ava:607)

        at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

        at java.lang.Thread.run(Thread.java:745)

 Probably the scope is not correctly set or the scope is reset in some cases. I'm going to investigate on it

History

#1 - Nov 04, 2016 11:53 AM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Nov 04, 2016 07:37 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I've fixed the problem on the storage-manager library. It's need further tests to ensure that the problem is fixed properly.

#3 - Nov 07, 2016 05:32 PM - Roberto Cirillo

- Status changed from Feedback to Closed

I've not found other exceptions in these days so I'm going to close the ticket
